# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from Products.ExternalSiteCatalog.browser.interfaces import ISearchPortlet
from Products.CMFCore.utils import getToolByName
try:
    from Products.CMFCore.utils import BrowserView
except:
    class BrowserView:
        pass

from zope.interface import implements
from Products.CMFPlone import utils

class SearchPortlet(BrowserView):
    implements(ISearchPortlet)

    def hostnames(self):
        """ Returns list of hostnames of external sites """
        context = utils.context(self)
        portal_externalcatalog = getToolByName(context, 'portal_externalcatalog')
        # Only take the hostnames for which there is something to search in the catalog
        return portal_externalcatalog.uniqueValuesFor('hostname')