# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# $Id: pc_config.py,v 1.2 2006/12/01 15:38:47 roeder Exp $

__author__  = 'Maik Roeder <maik.roeder@ingeniweb.com>'
__docformat__ = 'restructuredtext'

from Products.funittest import logical
from Products.funittest import register_pc
from Products.funittest import Testable
import random
import os

class Config(Testable):

    def no_existing_configurations(self):        
        self.interpreter.annotate("Setup without configurations")
        logical.config.access_externalsitecatalog_configlet()
        logical.config.remove_all_externalsites()
                
register_pc("ExternalSiteCatalog", Config())
