# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
from Products.funittest import register_pom

class ExternalSites:
    def is_contained(self, site):
        is_contained=0
        self.interpreter.annotate("In ExternalSites list: Site '%s'" %site['title'] )

        self.interpreter.open("/prefs_externalsitecatalog")
        self.interpreter.verifyTextPresent(site['title'])

        #etool = self.portal.portal_externalcatalog 
        #if site.has_key('taskId'):
        #    is_contained = etool.hasExternalSiteCatalogTask(site['taskId'])
        #return is_contained
       
    def not_contained(self, site):
        not_contained=1

        self.interpreter.annotate("In ExternalSites list: Site '%s'" %site['title'] )
        self.interpreter.open("/prefs_externalsitecatalog")
        self.interpreter.verifyTextNotPresent(site['title'])

        #etool = self.portal.portal_externalcatalog 
        #if site.has_key('taskId'):
        #    if etool.hasExternalSiteCatalogTask(site['taskId']):
        #        not_contained=0
        #return not_contained
        
register_pom("ExternalSiteCatalog", ExternalSites())
