# -*- coding: utf-8 -*-
## ExternalSiteCatalog
## Index and search external sites in a Plone site
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# $Id: runalltests.py,v 1.4 2006/11/29 15:44:40 roeder Exp $

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py')) 
from Products.ExternalSiteCatalog.config import PROJECTNAME
SKINS_DIR = "skins"
from Products.funittest.texttestrunner import TextTestRunner
from Products.funittest import set_mode
from Products.funittest import set_projectname
from Products.funittest import set_skinsdir
from Products.funittest import set_dependencies
from Products.funittest import set_seleniumrc

#set_seleniumrc("http://localhost:8080/Plone", "/Plone")
set_mode("SeleniumRC")
set_projectname(PROJECTNAME)
set_skinsdir(SKINS_DIR)
REQUIRED = 1
OPTIONAL = 0
dependencies = [ (REQUIRED, "PloneFunctional"),
               ]
set_dependencies(dependencies)


from Products.PloneFunctional.ftests.cmfplone.logicalfunctionalmodel import * 
from Products.PloneFunctional.ftests.cmfplone.dataprovider import * 
from Products.PloneFunctional.ftests.cmfplone.physicalobjectmodel import * 
from Products.PloneFunctional.ftests.cmfplone.expectedstategenerator import * 
from externalsitecatalog.dataprovider import *
from externalsitecatalog.logicalfunctionalmodel import *
from externalsitecatalog.physicalobjectmodel import *
from externalsitecatalog.expectedstategenerator import *
from externalsitecatalog.precondition import *

import test_configlet
import test_search

def suite():
    return unittest.TestSuite((
        unittest.makeSuite(test_configlet.TestConfiglet),
        unittest.makeSuite(test_search.TestSearch),
        ))
        
if __name__ == "__main__":
    result = TextTestRunner(verbosity=2).run(suite())
    sys.exit(not result.wasSuccessful())
